RK-J - Task #3136

Task # 3132 (Closed): v94.5: Show scores for results in extension based on compile and run time settings

Ext-v94.5: Show the score in the extension based on 'displayScorelnExtn' from the

getPurpleLinksinfoExtFull API.
07/18/2023 06:55 AM - Ayush Khandelwal

Status: Closed Start date: 07/18/2023
Priority: Immediate Due date: 07/18/2023
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 3.50 hours
Description

In the extension, show (<text of the purple-link>='final score', 'final score™'purple link result score') (upto 3 decimal points) in

parenthesis beside the result if displayScorelnExtn is true.

If displayScorelnExtn is false or not present then don't show the score.

Show only for isVideoSupported = true

History

#1 - 07/18/2023 06:56 AM - Ayush Khandelwal

- Description updated

#2 - 07/18/2023 06:58 AM - Ayush Khandelwal

- Subject changed from Ext: Show the score in the extension based on ‘isScoreConfigEnabled’ from the getPurpleLinksinfoExtFull API. to Ext-v94.5:
Show the score in the extension based on ‘isScoreConfigEnabled'’ from the getPurpleLinksinfoExtFull API.

#3 - 07/18/2023 07:45 AM - Ayanava Karmakar

- Status changed from New to In Progress

#4 - 07/18/2023 10:25 AM - Ayanava Karmakar
- % Done changed from 0 to 80

#5 - 07/18/2023 10:55 AM - Ayanava Karmakar
- Status changed from In Progress to Resolved
- Assignee changed from Ayanava Karmakar to Ayush Khandelwal

- % Done changed from 80 to 100

#6 - 07/18/2023 12:39 PM - Ayanava Karmakar

Review Point -
Show final score along with the total score

#7 - 07/18/2023 12:44 PM - Ayanava Karmakar

- Status changed from Resolved to Review

#8 - 07/19/2023 05:50 AM - Ayanava Karmakar

Review point:

Handle the case when displayScorelnExtn is a string

#9 - 07/19/2023 12:05 PM - Ayush Khandelwal

- Subject changed from Ext-v94.5: Show the score in the extension based on 'isScoreConfigEnabled' from the getPurpleLinksinfoExtFull API. to
Ext-v94.5: Show the score in the extension based on 'displayScorelnExtn' from the getPurpleLinksInfoExtFull API.

- Description updated

- Status changed from Review to Reopened
- Assignee changed from Ayush Khandelwal to Ayanava Karmakar

- % Done changed from 100 to 50

Changes in the requirement.

#10 - 07/19/2023 12:36 PM - Ayanava Karmakar
- Status changed from Reopened to In Progress
- Assignee changed from Ayanava Karmakar to Ayush Khandelwal

- % Done changed from 50 to 100

#11 - 07/19/2023 12:36 PM - Ayanava Karmakar

- Status changed from In Progress to Resolved

#12 - 07/19/2023 12:36 PM - Ayanava Karmakar

- Status changed from Resolved to Review

#13 - 07/19/2023 01:18 PM - Ayush Khandelwal
- Status changed from Review to Feedback

- Assignee changed from Ayush Khandelwal to Ayanava Karmakar

Merged

#14 - 07/20/2023 06:49 AM - Ayanava Karmakar

Extension is working correctly

#15 - 07/20/2023 06:49 AM - Ayanava Karmakar

- Assignee changed from Ayanava Karmakar to Ayush Khandelwal
#16 - 07/21/2023 10:35 AM - Ayanava Karmakar
Review Point -

1. Remove "python" from the stopwords list
2. Update the logic in "jaro-similarity-js" folder too

#17 - 07/27/2023 09:14 AM - Ram Kordale

- Priority changed from Urgent to Immediate

#18 - 07/28/2023 02:50 PM - Ayush Khandelwal
- Status changed from Feedback to Closed

Working as expected
